package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotNull;

/**
 * 活动报名请求参数
 * @author long
 */

public class CommentReplyRequest {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 被评论/回复id
     */
    @NotNull(message = "回复id不能为空")
    private Long replyId;

    /**
     * 回复内容
     */
    @NotNull(message = "回复内容不能为空")
    private String commentText;



    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getReplyId() {
        return replyId;
    }

    public void setReplyId(Long replyId) {
        this.replyId = replyId;
    }

    public String getCommentText() {
        return commentText;
    }

    public void setCommentText(String commentText) {
        this.commentText = commentText;
    }


}
